/**
 * Copyright (c) 2018 人人开源 All rights reserved.
 *
 * https://www.renren.io
 *
 * 版权所有，侵权必究！
 */

package io.renren.entity;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 车辆
 *
 * @author nichun
 */
public class CarEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * ID
	 */
	private Long id;
	/**
	 * 车牌号码
	 */
	private String carNo;
	/**
	 * 车牌类型  4-民用车双行尾牌 8- 新能源车牌 0- 标准民用车与军车车牌
	 */
	private String plateType;
	/**
	 * 车牌颜色  0- 蓝色车牌 1- 黄色车牌 2- 白色车牌 4- 绿色车牌
	 */
	private String plateColor;
	/**
	 * 卡号
	 */
	private String cardNo;
	/**
	 * 有效开始时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date struStartTime;
	/**
	 * 有效结束时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date struStopTime;
	/**
	 * 所属人员
	 */
	private String personNo;
	/**
	 * 1 是删除 2是未删除
	 */
	private String isDel;

	/**
	 * 是否同步标志 sync不为空说明已同步
	 */
	private String sync;


	private String chepai;
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date expirydate;
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date creat_time;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCarNo() {
		return carNo;
	}

	public void setCarNo(String carNo) {
		this.carNo = carNo;
	}

	public String getPlateType() {
		return plateType;
	}

	public void setPlateType(String plateType) {
		this.plateType = plateType;
	}

	public String getPlateColor() {
		return plateColor;
	}

	public void setPlateColor(String plateColor) {
		this.plateColor = plateColor;
	}

	public String getCardNo() {
		return cardNo;
	}

	public void setCardNo(String cardNo) {
		this.cardNo = cardNo;
	}

	public Date getStruStartTime() {
		return struStartTime;
	}

	public void setStruStartTime(Date struStartTime) {
		this.struStartTime = struStartTime;
	}

	public Date getStruStopTime() {
		return struStopTime;
	}

	public void setStruStopTime(Date struStopTime) {
		this.struStopTime = struStopTime;
	}

	public String getPersonNo() {
		return personNo;
	}

	public void setPersonNo(String personNo) {
		this.personNo = personNo;
	}

	public String getIsDel() {
		return isDel;
	}

	public void setIsDel(String isDel) {
		this.isDel = isDel;
	}

	public String getSync() {
		return sync;
	}

	public void setSync(String sync) {
		this.sync = sync;
	}

	public String getChepai() {
		return chepai;
	}

	public void setChepai(String chepai) {
		this.chepai = chepai;
	}

	public Date getExpirydate() {
		return expirydate;
	}

	public void setExpirydate(Date expirydate) {
		this.expirydate = expirydate;
	}

	public Date getCreat_time() {
		return creat_time;
	}

	public void setCreat_time(Date creat_time) {
		this.creat_time = creat_time;
	}
}
